Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.exchange
Class FolderType

    java.lang.Object
      com.compoze.exchange.FolderType

All Implemented Interfaces:
  java.io.Serializable

public class FolderType
extends java.lang.Object
implements java.io.Serializable

This class stores the values for the Exchange folder types. The type of a folder in Exchange is represented with a string.

See Also:
  Serialized Form

Field Summary
`static FolderType` | `APPOINTMENT` This value represents the 'appointment' folder type ("IPF.Appointment").
`static FolderType` | `CALENDAR` This value represents the 'calendar' folder type ("IPF.Calendar").
`static FolderType` | `CONTACTS` This value represents the 'contacts' folder type ("IPF.Contact").
`static FolderType` | `JOURNAL` This value represents the 'journal' folder type ("IPF.Journal").
`static FolderType` | `NOTE` This value represents the 'note' folder type ("IPF.Note").
`static FolderType` | `NOTES` This value represents the 'notes' folder type ("IPF.StickyNote").
`static FolderType` | `TASKS` This value represents the 'task' folder type ("IPF.Task").

Constructor Summary
`FolderType(java.lang.String sName)` Constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static FolderType` | `get(java.lang.String sName)` Gets the folder type.
`static java.util.List` | `getList()` Gets the list of folder types.
`java.lang.String` | `getName()` Gets the name of the folder type.
`java.lang.String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPOINTMENT

    public static final FolderType APPOINTMENT

  This value represents the 'appointment' folder type ("IPF.Appointment").

### CALENDAR

    public static final FolderType CALENDAR

  This value represents the 'calendar' folder type ("IPF.Calendar").

### CONTACTS

    public static final FolderType CONTACTS

  This value represents the 'contacts' folder type ("IPF.Contact").

### JOURNAL

    public static final FolderType JOURNAL

  This value represents the 'journal' folder type ("IPF.Journal").

### NOTES

    public static final FolderType NOTES

  This value represents the 'notes' folder type ("IPF.StickyNote").

### NOTE

    public static final FolderType NOTE

  This value represents the 'note' folder type ("IPF.Note").

### TASKS

    public static final FolderType TASKS

  This value represents the 'task' folder type ("IPF.Task").

Constructor Detail

### FolderType

    public FolderType(java.lang.String sName)

  Constructor.

Parameters:
  `sName` - the name of the folder type (may not be `null` or empty)

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the folder type.

  Returns:
    the name of the folder type

### get

    public static FolderType get(java.lang.String sName)

  Gets the folder type.

  Parameters:
    `sName` - the name of the folder type
  Returns:
    the matching folder type or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of folder types.

  Returns:
    the list of `FolderType`es (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.